<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api\Data;

use Magento\Framework\Api\ExtensibleDataInterface;

/**
 * Interface PromoInfoBlockInterface
 * @api
 */
interface PromoInfoBlockInterface extends ExtensibleDataInterface
{
    /**
     * Constant for key of data array.
     */
    const PROMO = 'promo';

    /**
     * Get promo
     *
     * @return \Aheadworks\Afptc\Api\Data\PromoInterface
     */
    public function getPromo();

    /**
     * Set promo
     *
     * @param \Aheadworks\Afptc\Api\Data\PromoInterface $promo
     * @return $this
     */
    public function setPromo($promo);
}
