<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api;

/**
 * Interface IndexManagementInterface
 * @api
 */
interface IndexManagementInterface
{
    /**
     * Check if rule data has been changed and reset index if necessary
     *
     * @param \Aheadworks\Afptc\Api\Data\RuleInterface $newRuleModel
     * @param \Aheadworks\Afptc\Api\Data\RuleInterface $oldRuleModel
     * @return bool
     */
    public function invalidateIndexOnDataChange($newRuleModel, $oldRuleModel);
}
