<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api;

/**
 * Interface PromoOfferRenderListInterface
 * @api
 */
interface PromoOfferRenderListInterface
{
    /**
     * Collect and retrieve the list of promo offer render info
     *
     * @param \Aheadworks\Afptc\Api\Data\RuleMetadataInterface[] $metadataRules
     * @param int $storeId
     * @return \Aheadworks\Afptc\Api\Data\PromoOfferRenderInterface
     */
    public function getList($metadataRules, $storeId);
}
