<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api;

/**
 * Interface PromoInfoBlockRepositoryInterface
 * @api
 */
interface PromoInfoBlockRepositoryInterface
{
    /**
     * Retrieve promo blocks matching the specified criteria
     *
     * @param \Magento\Catalog\Api\Data\ProductInterface $product
     * @param int $customerGroupId
     * @return \Aheadworks\Afptc\Api\Data\PromoInfoBlockInterface[]
     */
    public function getList($product, $customerGroupId);
}
