<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule\Discount;

/**
 * Class Type
 *
 * @package Aheadworks\Afptc\Model\Source\Rule\Discount
 */
class Type
{
    /**#@+
     * Discount types
     */
    const PERCENT = 'percent';
    const FIXED_PRICE = 'fixed_price';
    /**#@-*/

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::PERCENT, 'label' => __('Percent')],
            ['value' => self::FIXED_PRICE, 'label' => __('Fixed Price')],
        ];
    }
}
